## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# iengine/scenenode.h File Reference

SceneNode - a node in the scene (linked with movables). More...

`#include "csutil/scf.h"`
`#include "csutil/refarr.h"`

Go to the source code of this file.

## Classes

struct | iSceneNode
| This interface represents a node in the scene graph. More...

## Detailed Description

SceneNode - a node in the scene (linked with movables).

Definition in file scenenode.h.